@import url(http://fonts.googleapis.com/css?family=Bree+Serif);

/*******************
BODY STYLING
*******************/

* {
	margin: 0;
	padding: 0;
	border: none;
	outline: none;
}
body {
    background: url('http://www.demo.amitjakhu.com/login-form/images/bg.png');

	font-family: "HelveticaNeue-Light", "Helvetica Neue Light", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
	font-weight:300;
	text-align: left;
	text-decoration: none;
	height: 500px;
}
#wrapper {
	/* Center wrapper perfectly */
	width: 300px;
	height: 400px;
	margin: 70px auto;
}
.download:hover {
	color: rgba(0,0,0,0.75);
	text-shadow: 1px 1px 0 rgba(256,256,256,0.5);
}
.download:focus {
	bottom: 24px;
}

/*******************
LOGIN FORM
*******************/

.login-form {
	width: 300px;
	margin: 0 auto;
	position: relative;
	background: #f3f3f3;
	border: 1px solid #fff;
	border-radius: 5px;
	box-shadow: 0 1px 3px rgba(0,0,0,0.5);
}

/*******************
HEADER
*******************/

.login-form header {
	padding: 40px 30px 30px 30px;
}
.login-form header h1 {
	font-family: 'Bree Serif', serif;
	font-weight: 300;
	font-size: 28px;
	line-height:34px;
	color: #414848;
	text-shadow: 1px 1px 0 rgba(256,256,256,1.0);
	margin-bottom: 10px;
}
.login-form header p {
	font-size: 11px;
	line-height: 16px;
	color: #678889;
	text-shadow: 1px 1px 0 rgba(256,256,256,1.0);
}

/*******************
CONTENT
*******************/

.login-form main {
	padding: 0 30px 25px 30px;
}

/* Input field */
.login-form main .input {
	width: 188px;
	padding: 15px 25px;
	font-family: "HelveticaNeue-Light", "Helvetica Neue Light", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
	font-weight: 400;
	font-size: 14px;
	color: #9d9e9e;
	text-shadow: 1px 1px 0 rgba(256,256,256,1.0);
	background: #fff;
	border: 1px solid #fff;
	border-radius: 5px;
	box-shadow: inset 0 1px 3px rgba(0,0,0,0.50);
}

/* Second input field */
.login-form main .password, .login-form main .pass-icon {
	margin-top: 25px;
}
.login-form main .input:hover {
	background: #dfe9ec;
	color: #414848;
}
.login-form main .input:focus {
	background: #dfe9ec;
	color: #414848;
	box-shadow: inset 0 1px 2px rgba(0,0,0,0.25);
}
.login-form main .row {
    position: relative;
}
/* Icons */
.user-icon, .pass-icon {
	width: 46px;
	height: 47px;
	display: block;
	position: absolute;
	left: 15px;
	padding-right: 2px;
	z-index: -1;
	border-radius: 5px 0 0 5px;
}
.user-icon {
	top:0; /* Positioning fix for slide-in, got lazy to think up of simpler method. */
	background: rgba(65,72,72,0.75) url(http://www.demo.amitjakhu.com/login-form/images/user-icon.png) no-repeat center;
}
.pass-icon {
	top:0;
	background: rgba(65,72,72,0.75) url(http://www.demo.amitjakhu.com/login-form/images/pass-icon.png) no-repeat center;
}

/* Animation */
main input:focus + div {
    left: -75px;
}

.input, .user-icon, .pass-icon, .button, .register {
	transition: all 0.5s ease;
}

/*******************
FOOTER
*******************/

.login-form footer {
	padding: 25px 30px 40px 30px;
	overflow: auto;
	background: #d4dedf;
	border-top: 1px solid #fff;
	box-shadow: inset 0 1px 0 rgba(0,0,0,0.15);
}

/* Login button */
.login-form footer .button {
	float:right;
	padding: 11px 25px;

	font-family: 'Bree Serif', serif;
	font-weight: 300;
	font-size: 18px;
	color: #fff;
	text-shadow: 0px 1px 0 rgba(0,0,0,0.25);

	background: #56c2e1;
	border: 1px solid #46b3d3;
	border-radius: 5px;
	cursor: pointer;

	box-shadow: inset 0 0 2px rgba(256,256,256,0.75);
}

.login-form footer .button:hover {
	background: #3f9db8;
	border: 1px solid rgba(256,256,256,0.75);
	box-shadow: inset 0 1px 3px rgba(0,0,0,0.5);
}

.login-form footer .button:focus {
	position: relative;
	bottom: -1px;
	background: #56c2e1;
	box-shadow: inset 0 1px 6px rgba(256,256,256,0.75);
}

/* Register button */
.login-form footer .register {
	display: block;
	padding: 10px;
	margin-right: 20px;

	background: none;
	border: none;
	cursor: pointer;

	font-family: 'Bree Serif', serif;
	font-weight: 300;
	font-size: 18px;
	color: #414848;
	text-shadow: 0px 1px 0 rgba(256,256,256,0.5);
}

.login-form footer .register:hover {
	color: #3f9db8;
}

.login-form footer .register:focus {
	position: relative;
	bottom: -1px;
}
